[ubuntu/jammy-proposed] perl 5.34.0-3ubuntu1 (Accepted)

Matthias Klose doko at ubuntu.com
Sun Feb 6 11:33:16 UTC 2022


perl (5.34.0-3ubuntu1) jammy; urgency=medium

  * Merge with Debian; remaining changes:
    - Disable two porting/libperl.t tests, only run on x86*, and only
      testing the static libperl.a.
    - Disable the same porting/libperl.t tests on x86*, as on the other
      Linux architectures.

perl (5.34.0-3) unstable; urgency=medium

  * Add 5.34.0 to debian/released-versions.
  * Upload to unstable.

perl (5.34.0-2) experimental; urgency=medium

  * Apply upstream patch fixing issues with gdbm 1.20. (Closes: #993514)

perl (5.34.0-1) experimental; urgency=medium

  * Update to new upstream version 5.34.0.
  * Add a build time sanity check to make sure we filter away generated
    files from the regen-configure tarball. (Closes: #992200)
  * Fix usrmerge related reproducibility issues. Thanks to Vagrant
    Cascadian. (Closes: #914128)
  * Update cross build support files.
  * Skip io/msg.t on x32 due to broken System V message queues.
    (See #988900)
  * [SECURITY] CVE-2021-36770: Encode loading code from working directory

perl (5.34.0~rc2-1) experimental; urgency=medium

  * Update to upstream release candidate 5.34.0-RC2.
    + File::Temp file creation permissions are documented now.
      (Closes: #987995)

perl (5.32.1-6ubuntu1) jammy; urgency=medium

  * Merge with Debian; remaining changes:
    - Disable two porting/libperl.t tests, only run on x86*, and only
      testing the static libperl.a.
    - Disable the same porting/libperl.t tests on x86*, as on the other
      Linux architectures.

perl (5.32.1-4) unstable; urgency=medium

  * Add perl Breaks: perl-modules-5.22 and early versions of
    perl-modules-5.26. They had the same issue as perl-modules-5.24,
    which perl already Breaks since 5.32.0-6. (Closes: #976704)

Date: Sun, 06 Feb 2022 12:02:58 +0100
Changed-By: Matthias Klose <doko at ubuntu.com>
Maintainer: Ubuntu Developers <ubuntu-devel-discuss at lists.ubuntu.com>
https://launchpad.net/ubuntu/+source/perl/5.34.0-3ubuntu1
-------------- next part --------------
Format: 1.8
Date: Sun, 06 Feb 2022 12:02:58 +0100
Source: perl
Built-For-Profiles: noudeb
Architecture: source
Version: 5.34.0-3ubuntu1
Distribution: jammy
Urgency: medium
Maintainer: Ubuntu Developers <ubuntu-devel-discuss at lists.ubuntu.com>
Changed-By: Matthias Klose <doko at ubuntu.com>
Closes: 914128 976704 987995 992200 993514
Changes:
 perl (5.34.0-3ubuntu1) jammy; urgency=medium
 .
   * Merge with Debian; remaining changes:
     - Disable two porting/libperl.t tests, only run on x86*, and only
       testing the static libperl.a.
     - Disable the same porting/libperl.t tests on x86*, as on the other
       Linux architectures.
 .
 perl (5.34.0-3) unstable; urgency=medium
 .
   * Add 5.34.0 to debian/released-versions.
   * Upload to unstable.
 .
 perl (5.34.0-2) experimental; urgency=medium
 .
   * Apply upstream patch fixing issues with gdbm 1.20. (Closes: #993514)
 .
 perl (5.34.0-1) experimental; urgency=medium
 .
   * Update to new upstream version 5.34.0.
   * Add a build time sanity check to make sure we filter away generated
     files from the regen-configure tarball. (Closes: #992200)
   * Fix usrmerge related reproducibility issues. Thanks to Vagrant
     Cascadian. (Closes: #914128)
   * Update cross build support files.
   * Skip io/msg.t on x32 due to broken System V message queues.
     (See #988900)
   * [SECURITY] CVE-2021-36770: Encode loading code from working directory
 .
 perl (5.34.0~rc2-1) experimental; urgency=medium
 .
   * Update to upstream release candidate 5.34.0-RC2.
     + File::Temp file creation permissions are documented now.
       (Closes: #987995)
 .
 perl (5.32.1-6ubuntu1) jammy; urgency=medium
 .
   * Merge with Debian; remaining changes:
     - Disable two porting/libperl.t tests, only run on x86*, and only
       testing the static libperl.a.
     - Disable the same porting/libperl.t tests on x86*, as on the other
       Linux architectures.
 .
 perl (5.32.1-4) unstable; urgency=medium
 .
   * Add perl Breaks: perl-modules-5.22 and early versions of
     perl-modules-5.26. They had the same issue as perl-modules-5.24,
     which perl already Breaks since 5.32.0-6. (Closes: #976704)
Checksums-Sha1:
 91380ffc6198f16a35303b73d5ae1acca2e67a61 2993 perl_5.34.0-3ubuntu1.dsc
 eca37348b91435b329a3e60376409ee265b9fda1 415412 perl_5.34.0.orig-regen-configure.tar.xz
 d461e206a1dca5e79d39e77debf0b564f6d77d37 12881416 perl_5.34.0.orig.tar.xz
 6de4766a769d05335f86c1ab377678213e38a5f8 167356 perl_5.34.0-3ubuntu1.debian.tar.xz
 13eb6855108e95cc839c5020cea917d9d86e37d9 7116 perl_5.34.0-3ubuntu1_source.buildinfo
Checksums-Sha256:
 f3c0e5b8d15abd562c11ab19ba91dc8a64d315609d446e65de43d2996272852c 2993 perl_5.34.0-3ubuntu1.dsc
 b168f566401fdccc13d0616c258854c1e1a461276922babca617097cd9dfd85b 415412 perl_5.34.0.orig-regen-configure.tar.xz
 82c2e5e5c71b0e10487a80d79140469ab1f8056349ca8545140a224dbbed7ded 12881416 perl_5.34.0.orig.tar.xz
 5a75f85b3afec1bc48a830295ee1d73f59b56b276c6056ad968c9135f6854e8f 167356 perl_5.34.0-3ubuntu1.debian.tar.xz
 6f5f0253a4d29b4091aa8a9f8047800a264437d9e816682eec58ef993ac53827 7116 perl_5.34.0-3ubuntu1_source.buildinfo
Files:
 c632bd724ff5a3169195ce9cf90451d5 2993 perl standard perl_5.34.0-3ubuntu1.dsc
 169eb75873e6bd40134abb028db49295 415412 perl standard perl_5.34.0.orig-regen-configure.tar.xz
 df7ecb0653440b26dc951ad9dbfab517 12881416 perl standard perl_5.34.0.orig.tar.xz
 702750565deadf154a1233063f84257b 167356 perl standard perl_5.34.0-3ubuntu1.debian.tar.xz
 4eede806564aa1fdca2ded02ec5b6f51 7116 perl standard perl_5.34.0-3ubuntu1_source.buildinfo
Original-Maintainer: Niko Tyni <ntyni at debian.org>


More information about the jammy-changes mailing list